CREATE OR REPLACE TYPE STRUCTTYPE AS OBJECT (
EMPID VARCHAR2(10),
NAME VARCHAR2(20),
TITLE VARCHAR2(10)
);

CREATE TABLE TABLE_ARRAY (
		  ID VARCHAR2(10), 
		  INFO ARRAYTYPE );

CREATE TABLE TABLE_STRUCT (
		  ID VARCHAR2(10) , 
		  INFO STRUCTTYPE ) ;

INSERT INTO TABLE_STRUCT VALUES ('100', STRUCTTYPE('10', 'xyz', 'SE'));


CREATE OR REPLACE PROCEDURE SAMPLE_ARRAY_STRUCT (
pkey IN VARCHAR, arr IN ARRAYTYPE, strt OUT STRUCTTYPE )
IS BEGIN
INSERT INTO TABLE_ARRAY VALUES (pkey, arr);
SELECT INFO INTO strt FROM TABLE_STRUCT WHERE ID = pkey;
END SAMPLE_ARRAY_STRUCT;
